package com.jpsoft.shinestar.modules.common.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface BaseService<T> {
    List<T> selectAll();

    Page<T> pageList(int pageIndex, int pageSize, Map<String, Object> searchParams, List<Sort> orderList);

    T get(String id);

    int insert(T record);

    int update(T record);

    int delete(String id);
}
